import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanStatistics } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-28 12:57
 */
interface AdDeliveryPlanStatisticsCU extends ConditionUtil<AdDeliveryPlanStatisticsCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanStatisticsCU>;
    AD_INFO_ID: FieldUtil<AdDeliveryPlanStatisticsCU>;
    REQUEST_TIMES: FieldUtil<AdDeliveryPlanStatisticsCU>;
    IMPRESSION_TIMES: FieldUtil<AdDeliveryPlanStatisticsCU>;
    CLICK_TIMES: FieldUtil<AdDeliveryPlanStatisticsCU>;
    ACTION_TIMES: FieldUtil<AdDeliveryPlanStatisticsCU>;
}
declare class AdDeliveryPlanStatisticsMU extends TableUtilImpl<AdDeliveryPlanStatisticsCU, AdDeliveryPlanStatistics> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanStatisticsCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    static get AD_INFO_ID(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    static get REQUEST_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    static get IMPRESSION_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    static get CLICK_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    static get ACTION_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get AD_INFO_ID(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get REQUEST_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get IMPRESSION_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get CLICK_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
    get ACTION_TIMES(): FieldUtil<AdDeliveryPlanStatisticsCU>;
}
export { AdDeliveryPlanStatisticsMU, AdDeliveryPlanStatisticsCU };
